Debian Bug report logs - #374643
O: htdig -- web search and indexing system

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Baumann <mail@daniel-baumann.ch>

Date: Tue, 20 Jun 2006 12:18:17 UTC

Severity: normal

Merged with 375733

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#374643; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@panthera-systems.net:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: submit@bugs.debian.org
Cc: mia@qa.debian.org
Subject: O: htdig - WWW search system for an intranet or small internet
Date: Tue, 20 Jun 2006 14:06:46 +0200
Package: wnpp
Severity: normal

The current maintainer of htdig, Robert Ribnitz <ribnitz@linuxbourg.ch>,
does orphan this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: htdig
Priority: optional
Section: web
Installed-Size: 2940
Maintainer: Robert Ribnitz <ribnitz@linuxbourg.ch>
Architecture: i386
Version: 1:3.1.6-11.1
Depends: libc6 (>= 2.3.5-1), libdb2 (>= 2:2.7.7.0-7), libgcc1 (>=
1:4.0.2), libs
tdc++6 (>= 4.0.2-4), zlib1g (>= 1:1.2.1), debconf (>= 0.5) |
debconf-2.0, perl,
lockfile-progs, gawk, sed (>= 4.0)
Recommends: wwwoffle, apache | httpd, htdig-doc
Suggests: catdoc, pstotext | gs | xpdf | xpdf-i
Conflicts: htdig3.2
Filename: pool/main/h/htdig/htdig_3.1.6-11.1_i386.deb
Size: 987894
MD5sum: d273677fa6273d644de0ac19f8673d5b
Description: WWW search system for an intranet or small internet
 The ht://Dig system is a complete world wide web indexing and searching
 system for a small domain or intranet. This system is not meant to
 replace the need for powerful internet-wide search systems like Lycos,
 Infoseek, Webcrawler and AltaVista. Instead it is meant to cover the
 search needs for a single company, campus, or even a particular sub
 section of a web site.
 .
 As opposed to some WAIS-based or web-server based search engines,
 ht://Dig can span several web servers at a site. The type of these
different
 web servers doesn't matter as long as they understand the HTTP 1.0
 protocol.
 .
 Features:
    * Intranet searching
    * It is free
    * Robot exclusion is supported
    * Boolean expression searching
    * Configurable search results
    * Fuzzy searching
    * Searching of HTML and text files
    * Keywords can be added to HTML documents
    * Email notification of expired documents
    * A Protected server can be indexed
    * Searches on subsections of the database
    * Full source code included
    * The depth of the search can be limited
    * Full support for the ISO-Latin-1 character set
 .
 Disk space requirements:
 .
 The search engine will require lots of disk space to store its
 databases. Unfortunately, there is no exact formula to compute the
 space requirements. It depends on the number of documents you are
 going to index but also on the various options you use. To give you
 an idea of the space requirements, here is what I have deduced from
 our own database size at San Diego State University.
 .
 If you keep around the wordlist database (for update digging instead
 of initial digging) I found that multiplying the number of documents
 covered by 12,000 will come pretty close to the space required.
 .
 We have about 13,000 documents:  150MB index size with a 'wordlist'
database
                                  93MB index size without a 'wordlist'
database
 .
 The package is available in two varieties, the 'stable', well-tested
version
 (this one) and a less tested version (as 'htdig3.2').
Tag: interface::web, made-of::lang:c++, protocol::http, role::sw:server,
use::se
arching, web::cgi, works-with::text:html

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 374643 375733. Request was from alex@schmehl.info (Alexander Schmehl) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 374643 375733. Request was from Mohammed Adnène Trojette <adn+deb@diwi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from daniel.baumann@panthera-systems.net to Daniel Baumann <daniel@debian.org>. Request was from Daniel Baumann <daniel.baumann@panthera-systems.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#374643; Package wnpp. (Fri, 08 Apr 2011 12:46:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 08 Apr 2011 12:46:55 GMT) Full text and rfc822 format available.

Message #18 received at 374643@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 374643@bugs.debian.org
Subject: ITA attempt for htdig
Date: Fri, 8 Apr 2011 14:29:00 +0200
package wnpp
owner 374643 !
retitle 374643 ITA: htdig -- web search and indexing system
thanks

I have finally decided to have a go here, incorporating the
errors and improvements I have gathered over time. I am now
in contact with the Qt/KDE team, via Sune Vourela, in order
to coordinate the implications for the khelpcenter.

Best regards,
  Mats Erik Andersson, DM




Owner recorded as Mats Erik Andersson <mats.andersson@gisladisker.se>. Request was from Mats Erik Andersson <mats.andersson@gisladisker.se> to control@bugs.debian.org. (Fri, 08 Apr 2011 12:48:35 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: htdig -- web search and indexing system' from 'O: htdig -- WWW search system for an intranet or small internet' Request was from Mats Erik Andersson <mats.andersson@gisladisker.se> to control@bugs.debian.org. (Fri, 08 Apr 2011 12:48:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#374643; Package wnpp. (Sat, 26 Nov 2011 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Nov 2011 09:06:04 GMT) Full text and rfc822 format available.

Message #27 received at 374643@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 374643@bugs.debian.org
Subject: Resign from ITA
Date: Sat, 26 Nov 2011 10:03:41 +0100
package wnpp
owner 374643 Debian QA <debian-qa@lists.debian.org>
retitel 374643 O: htdig -- web search and indexing system
thanks

Regrettably, I must admit to myself that I never found the time to
work alone on the KDE adaptions necessary for this package, since
the KDE/Qt team did not react to my request for comments on the
the immediate changes to this package. I hereby resign my ITA.




Owner changed from Mats Erik Andersson <mats.andersson@gisladisker.se> to Debian QA <debian-qa@lists.debian.org>. Request was from Mats Erik Andersson <mats.andersson@gisladisker.se> to control@bugs.debian.org. (Sat, 26 Nov 2011 09:06:16 GMT) Full text and rfc822 format available.

Changed Bug title to 'O: htdig -- web search and indexing system' from 'ITA: htdig -- web search and indexing system' Request was from Mats Erik Andersson <mats.andersson@gisladisker.se> to control@bugs.debian.org. (Sat, 26 Nov 2011 09:15:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian QA <debian-qa@lists.debian.org>:
Bug#374643; Package wnpp. (Sun, 11 Dec 2011 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian QA <debian-qa@lists.debian.org>. (Sun, 11 Dec 2011 01:27:03 GMT) Full text and rfc822 format available.

Message #36 received at 374643@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 374643@bugs.debian.org
Subject: htdig: Fairly urgent patch baseline.
Date: Sun, 11 Dec 2011 02:22:46 +0100
[Message part 1 (text/plain, inline)]
Dear all,

before I leave the KDE-dependency of Htdig behind,
let me contribute to whom it may concern the patches
I began testing for the purpose of moving some static
files from "/etc/htdig/" to "/usr/share/htdig/", where
they righteously belong. The package has been mistreating
the location for a very long time, replaceing the correct
choice of upstream.

The patch text is contributed as is without further
guarantee, and placed under identical license as Htdig
comes with. It is the modification to "khelp_htdig" that
was not reviewed by the Qt/KDE team, only on my system.

Best regards,
  Mats Erik Andersson, DM
[01-recover_old_alterations.diff (text/x-diff, attachment)]
[10-dir_access_rundig.diff (text/x-diff, attachment)]
[11-database_pointers_in_htdoc.diff (text/x-diff, attachment)]
[ny_khelp.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Removed annotation that Bug was owned by Debian QA <debian-qa@lists.debian.org>. Request was from Andreas Rönnquist <gusnan@gusnan.se> to control@bugs.debian.org. (Thu, 07 Jun 2012 18:33:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Daniel Baumann <mail@daniel-baumann.ch>' from 'Daniel Baumann <daniel@debian.org>' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 12 Jun 2013 13:00:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:58:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.